#ifndef LABELSMANAGEMENT_H
#define LABELSMANAGEMENT_H

#include <QDialog>
#include <QLineEdit>
#include <QPushButton>
#include <QStandardItemModel>
#include <QTableView>
#include <QWidget>

class DBUnit;

class LabelsManagement : public QDialog {
    Q_OBJECT
public:
    explicit LabelsManagement(DBUnit* tool, QWidget* parent = nullptr);

private:
    DBUnit* const db_host;

    QLineEdit* const keywords_input;
    QTableView* const labels_view;
    QStandardItemModel* const labels_model;
    QPushButton *const append, *const remove;

    void init_labels_model(QStandardItemModel* model);
    void input_query(const QString& keywords);
};

#endif // LABELSMANAGEMENT_H
